Patch created by:

sed -i 's/\([^y]\)libmount\.la/\1@LIBMOUNT_LIBS@/g' $(find -name '*.am')

with manual edit

Index: util-linux-2.26.1/disk-utils/Makemodule.am
===================================================================
--- util-linux-2.26.1.orig/disk-utils/Makemodule.am
+++ util-linux-2.26.1/disk-utils/Makemodule.am
@@ -84,7 +84,7 @@ if BUILD_FSCK
 sbin_PROGRAMS += fsck
 dist_man_MANS += disk-utils/fsck.8
 fsck_SOURCES = disk-utils/fsck.c lib/monotonic.c
-fsck_LDADD = $(LDADD) libmount.la libblkid.la libcommon.la $(CLOCKGETTIME_LIBS)
+fsck_LDADD = $(LDADD) @LIBMOUNT_LIBS@ libblkid.la libcommon.la $(CLOCKGETTIME_LIBS)
 fsck_CFLAGS = $(AM_CFLAGS) -I$(ul_libmount_incdir) -I$(ul_libblkid_incdir)
 endif
 
Index: util-linux-2.26.1/libmount/python/Makemodule.am
===================================================================
--- util-linux-2.26.1.orig/libmount/python/Makemodule.am
+++ util-linux-2.26.1/libmount/python/Makemodule.am
@@ -15,7 +15,7 @@ pylibmount_la_SOURCES = \
 	libmount/python/tab.c \
 	libmount/python/context.c
 
-pylibmount_la_LIBADD = libmount.la $(PYTHON_LIBS)
+pylibmount_la_LIBADD = @LIBMOUNT_LIBS@ $(PYTHON_LIBS)
 
 pylibmount_la_CFLAGS = \
 	$(AM_CFLAGS) \
Index: util-linux-2.26.1/libmount/src/Makemodule.am
===================================================================
--- util-linux-2.26.1.orig/libmount/src/Makemodule.am
+++ util-linux-2.26.1/libmount/src/Makemodule.am
@@ -79,7 +79,7 @@ check_PROGRAMS += \
 
 libmount_tests_cflags  = -DTEST_PROGRAM $(libmount_la_CFLAGS)
 libmount_tests_ldflags = libblkid.la -static
-libmount_tests_ldadd   = libmount.la $(UUID_LIBS) $(CLOCKGETTIME_LIBS)
+libmount_tests_ldadd   = @LIBMOUNT_LIBS@ $(UUID_LIBS) $(CLOCKGETTIME_LIBS)
 
 if HAVE_SELINUX
 libmount_tests_ldadd += $(SELINUX_LIBS)
Index: util-linux-2.26.1/misc-utils/Makemodule.am
===================================================================
--- util-linux-2.26.1.orig/misc-utils/Makemodule.am
+++ util-linux-2.26.1/misc-utils/Makemodule.am
@@ -58,7 +58,7 @@ endif
 if BUILD_LSLOCKS
 usrbin_exec_PROGRAMS += lslocks
 dist_man_MANS += misc-utils/lslocks.8
-lslocks_LDADD = $(LDADD) libcommon.la libmount.la libsmartcols.la
+lslocks_LDADD = $(LDADD) libcommon.la @LIBMOUNT_LIBS@ libsmartcols.la
 lslocks_SOURCES = misc-utils/lslocks.c
 lslocks_CFLAGS = $(AM_CFLAGS) -I$(ul_libmount_incdir) -I$(ul_libsmartcols_incdir)
 endif
@@ -67,7 +67,7 @@ if BUILD_LSBLK
 bin_PROGRAMS += lsblk
 dist_man_MANS += misc-utils/lsblk.8
 lsblk_SOURCES = misc-utils/lsblk.c
-lsblk_LDADD = $(LDADD) libblkid.la libmount.la libcommon.la libsmartcols.la
+lsblk_LDADD = $(LDADD) libblkid.la @LIBMOUNT_LIBS@ libcommon.la libsmartcols.la
 lsblk_CFLAGS = $(AM_CFLAGS) -I$(ul_libblkid_incdir) -I$(ul_libmount_incdir) -I$(ul_libsmartcols_incdir)
 if HAVE_UDEV
 lsblk_LDADD += -ludev
@@ -140,7 +140,7 @@ endif
 if BUILD_FINDMNT
 bin_PROGRAMS += findmnt
 dist_man_MANS += misc-utils/findmnt.8
-findmnt_LDADD = $(LDADD) libmount.la libcommon.la libsmartcols.la
+findmnt_LDADD = $(LDADD) @LIBMOUNT_LIBS@ libcommon.la libsmartcols.la
 findmnt_CFLAGS = $(AM_CFLAGS) -I$(ul_libmount_incdir) -I$(ul_libsmartcols_incdir)
 findmnt_SOURCES = misc-utils/findmnt.c
 if HAVE_UDEV
Index: util-linux-2.26.1/sys-utils/Makemodule.am
===================================================================
--- util-linux-2.26.1.orig/sys-utils/Makemodule.am
+++ util-linux-2.26.1/sys-utils/Makemodule.am
@@ -56,7 +56,7 @@ if BUILD_FSTRIM
 sbin_PROGRAMS += fstrim
 dist_man_MANS += sys-utils/fstrim.8
 fstrim_SOURCES = sys-utils/fstrim.c
-fstrim_LDADD = $(LDADD) libcommon.la libmount.la
+fstrim_LDADD = $(LDADD) libcommon.la @LIBMOUNT_LIBS@
 fstrim_CFLAGS = $(AM_CFLAGS) -I$(ul_libmount_incdir)
 if HAVE_SYSTEMD
 systemdsystemunit_DATA += \
@@ -167,7 +167,7 @@ endif # BUILD_SETARCH
 if BUILD_EJECT
 usrbin_exec_PROGRAMS += eject
 eject_SOURCES =  sys-utils/eject.c lib/monotonic.c
-eject_LDADD = $(LDADD) libmount.la libcommon.la $(CLOCKGETTIME_LIBS)
+eject_LDADD = $(LDADD) @LIBMOUNT_LIBS@ libcommon.la $(CLOCKGETTIME_LIBS)
 eject_CFLAGS = $(AM_CFLAGS) -I$(ul_libmount_incdir)
 dist_man_MANS += sys-utils/eject.1
 endif
@@ -219,12 +219,12 @@ dist_man_MANS += \
 	sys-utils/fstab.5 \
 	sys-utils/umount.8
 mount_SOURCES = sys-utils/mount.c
-mount_LDADD = $(LDADD) libcommon.la libmount.la $(SELINUX_LIBS)
+mount_LDADD = $(LDADD) libcommon.la @LIBMOUNT_LIBS@ $(SELINUX_LIBS)
 mount_CFLAGS = $(SUID_CFLAGS) $(AM_CFLAGS) -I$(ul_libmount_incdir)
 mount_LDFLAGS = $(SUID_LDFLAGS) $(AM_LDFLAGS)
 
 umount_SOURCES = sys-utils/umount.c
-umount_LDADD = $(LDADD) libcommon.la libmount.la
+umount_LDADD = $(LDADD) libcommon.la @LIBMOUNT_LIBS@
 umount_CFLAGS = $(AM_CFLAGS) $(SUID_CFLAGS) -I$(ul_libmount_incdir)
 umount_LDFLAGS = $(SUID_LDFLAGS) $(AM_LDFLAGS)
 
@@ -273,7 +273,7 @@ swapon_CFLAGS = $(AM_CFLAGS) \
 swapon_LDADD = $(LDADD) \
 	libblkid.la \
 	libcommon.la \
-	libmount.la \
+	@LIBMOUNT_LIBS@ \
 	libsmartcols.la
 
 swapoff_SOURCES = \
@@ -286,7 +286,7 @@ swapoff_CFLAGS = $(AM_CFLAGS) \
 	-I$(ul_libblkid_incdir) \
 	-I$(ul_libmount_incdir)
 swapoff_LDADD = $(LDADD) \
-	libmount.la \
+	@LIBMOUNT_LIBS@ \
 	libblkid.la \
 	libcommon.la
 endif
@@ -319,7 +319,7 @@ endif
 
 if BUILD_MOUNTPOINT
 bin_PROGRAMS += mountpoint
-mountpoint_LDADD = $(LDADD) libmount.la
+mountpoint_LDADD = $(LDADD) @LIBMOUNT_LIBS@
 mountpoint_CFLAGS = $(AM_CFLAGS) -I$(ul_libmount_incdir)
 dist_man_MANS += sys-utils/mountpoint.1
 mountpoint_SOURCES = sys-utils/mountpoint.c
